//--------------------------------------------------------------
//  PTATOM.H - Declares class interface for Periodic Table
//--------------------------------------------------------------
#ifndef __PTATOM_H__
#define __PTATOM_H__

#include "ptdefs.h"

class CATOM
{
private:
	char Name[PT_NAMELEN+1];
	int NumberOfElectrons;
	int NumberOfShells;

public:
	CATOM (char *szName);
	~CATOM();
	int DrawAtom (CWnd *Parent);
};	

class CATOMDialog : public CDialog
{
private:
	CATOM *Atom;
public:
	CATOMDialog (char *AtomName);
	~CATOMDialog ();

    //{{ AFX_MSG (CATOMDialog)
    afx_msg void OnPaint();
    afx_msg void OnOK();

    //}} AFX_MSG

    DECLARE_MESSAGE_MAP()
};
#endif
