ORIGIN		= Symantec C++
ORIGIN_VER	= Version 6.0
VERSION		= FINAL

PROJ		= SCPT
APPTYPE		= WINDOWS EXE
PROJTYPE	= EXE

CC		= SC
MAKE		= MAKE
RC		= RCC
HC		= HC
ASM		= SC
DISASM		= OBJ2ASM
LIBR		= IMPLIB
LNK		= LINK
CVPK		= CVPACK

DLLS		= 
HEADERS		= pt.h resource.h ..\..\..\sc\mfc\include\afx.h  \
		..\..\..\sc\mfc\include\afxver_.h ..\..\..\sc\include\windows.h ..\..\..\sc\include\shellapi.h ..\..\..\sc\mfc\include\afxres.h  \
		..\..\..\sc\mfc\include\afxcoll.h ..\..\..\sc\include\win16\print.h ..\..\..\sc\mfc\include\afxmsg_.h ..\..\..\sc\mfc\include\afxdd_.h  \
		\sc\mfc\include\afx.h \sc\mfc\include\afxver_.h \sc\include\windows.h \sc\include\shellapi.h  \
		\sc\mfc\include\afxres.h \sc\mfc\include\afxcoll.h \sc\mfc\include\afxmsg_.h \sc\mfc\include\afxdd_.h  \
		\sc\include\win16\windows.h ptatom.h ptdefs.h 

LIBS		= ..\..\..\sc\lib\libw.lib ..\..\..\sc\mfc\lib\lafxcw.lib LIBW.LIB COMMDLG.LIB SHELL.LIB

DEFFILE		= pt.def

CFLAGS		=  -Jm -ml -C -W1 -S -s -2 -c 
HFLAGS		=  $(CFLAGS) 
LFLAGS		=  /CO /LI /NOI /INF /RC -k :pt.RES 
MFLAGS		=  
RESFLAGS	=  
AFLAGS		= -c
HELPFLAGS	= 

MODEL		= L

DEFINES		= 
RCDEFINES	= 
LIBDIRS		= 
INCLUDES	= -I\SC\INCLUDE -I\SC\MFC\INCLUDE

OBJS		=  pt.OBJ  ptatom.OBJ 

RCFILES	= 

RESFILES	=  pt.RES 

SYMS		=  pt.SYM  resource.SYM 

HELPFILES	= 

BATS		=  

.C.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.c

.CPP.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cpp

.CXX.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cxx

.CP.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cp

.H.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o$*.sym $*.h

.HPP.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o$*.sym $*.hpp

.HXX.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o$*.sym $*.hxx

.C.EXP:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -e $*.c -l$*.lst

.CPP.EXP:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -e $*.cpp -l$*.lst

.CXX.EXP:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -e $*.cxx -l$*.lst

.CP.EXP:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -e $*.cp -l$*.lst

.ASM.EXP:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -e $*.asm -l$*.lst

.OBJ.COD:
	$(DISASM) $*.OBJ >$*.cod

.EXE.COD:
	$(DISASM) $*.EXE >$*.cod

.COM.COD:
	$(DISASM) $*.COM >$*.cod

.OBJ.EXE:
	$(LNK) $(LFLAGS) @$(PROJ).LNK

.OBJ.COM:
	$(LNK) $(LFLAGS) @$(PROJ).LNK

.DLL.LIB:
	$(LIBR) $*.LIB $*.DLL

.DEF.LIB:
	$(LIBR) $*.LIB $*.DEF

.RTF.HLP:
	$(HC) $(HELPFLAGS) $*.HPJ

.ASM.OBJ:
	$(ASM) $(AFLAGS) $(DEFINES) $(INCLUDES) $*.ASM

.RC.RES: 
	$(RC) $(RCDEFINES) $(RESFLAGS) $(INCLUDES) $*.rc

.DLG.RES:
	echo \#include "windows.h" >$$$*.rc
	echo \#include "$*.h" >>$$$*.rc
	echo \#include "$*.dlg" >>$$$*.rc
	$(RC) $(RCDEFINES) $(RESFLAGS) $$$*.rc
	-del $*.res
	-ren $$$*.res $*.res



all:		$(PROJ).$(PROJTYPE) done

$(PROJ).$(PROJTYPE):	$(PROJS) $(OBJS) $(RCFILES) $(RESFILES) $(HELPFILES) $(BATS)
			$(LNK) $(LFLAGS) @$(PROJ).LNK
			$(CVPK) $$SCW$$.$(PROJTYPE)
			-del $(PROJ).$(PROJTYPE)
			-ren $$SCW$$.$(PROJTYPE) $(PROJ).$(PROJTYPE)

done:
		-echo $(PROJ).$(PROJTYPE) done

buildall:	clean	all


clean:
		-del $(PROJ).$(PROJTYPE)
		-del SCPH.SYM
		-del pt.OBJ
		-del ptatom.OBJ
		-del pt.SYM
		-del resource.SYM


cleanres:

res:		cleanres $(RCFILES) link


link:
		$(LNK) $(LFLAGS) @$(PROJ).LNK
		$(CVPK) $$SCW$$.$(PROJTYPE)
		-del $(PROJ).$(PROJTYPE)
		-ren $$SCW$$.$(PROJTYPE) $(PROJ).$(PROJTYPE)



pt.OBJ: \
		pt.cpp  \
		\sc\mfc\include\afx.h \
		\sc\mfc\include\afxver_.h \
		\sc\include\windows.h \
		\sc\include\shellapi.h \
		\sc\mfc\include\afxres.h \
		\sc\mfc\include\afxcoll.h \
		..\..\..\sc\include\win16\print.h \
		\sc\mfc\include\afxmsg_.h \
		\sc\mfc\include\afxdd_.h \
		resource.h \
		pt.h \
		ptdefs.h \
		ptatom.h \
		ptatom.h

ptatom.OBJ: \
		ptatom.cpp  \
		\sc\mfc\include\afx.h \
		\sc\mfc\include\afxver_.h \
		\sc\include\windows.h \
		\sc\include\shellapi.h \
		\sc\mfc\include\afxres.h \
		\sc\mfc\include\afxcoll.h \
		..\..\..\sc\include\win16\print.h \
		\sc\mfc\include\afxmsg_.h \
		\sc\mfc\include\afxdd_.h \
		resource.h \
		ptatom.h \
		ptdefs.h \
		ptdefs.h





